#63 Glib version 2.32 thread interface change

open
nobody
Other (2)
5
2013-02-04
2012-01-29
Charles Suprin
No

As an FYI
On my ubuntu 12.04 system, I am getting many compile errors for threads and mutex api's. It appears the threads API is changing in 2.32. <http://developer.gnome.org/glib/2.31/glib-Deprecated-Thread-APIs.html> This impacts the current threads and mutex calls in gpredict.

Usually they have extended support for old API's but I have never seen such compiler griping before. This issue is just to let folks track it.

Discussion